using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace BWP.WinFormControl
{
  public partial class UMessageBox : Form
  {
    public static void Show(string msg)
    {
      new UMessageBox(msg).ShowDialog();
    }

    public static void Show(string msg, string title)
    {
      new UMessageBox(msg, title).ShowDialog();
    }

    private UMessageBox(string msg)
    {
      InitializeComponent();
      this.msgLabel.Text = msg;
    }

    private UMessageBox(string msg, string title)
    {
      InitializeComponent();
      this.msgLabel.Text = msg;
      this.Text = title;
    }

    private void OKBtn_Click(object sender, EventArgs e)
    {
      this.Close();
    }
  }
}
